---
title: Request.redirect
slug: Web/API/Request/redirect
tags:
  - API
  - Experimental
  - Fetch
  - Property
  - Redirect
  - Reference
  - request
---
<div>{{APIRef("Fetch")}}</div>

<p>The <strong><code>redirect</code></strong> read-only property of the {{domxref("Request")}} interface contains the mode for how redirects are handled.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myRedirect = request.redirect;</pre>

<h3 id="Value">Value</h3>

<p>A <code>RequestRedirect</code> enum value, which can be one the following strings:</p>

<ul>
	<li><code>follow</code></li>
	<li><code>error</code></li>
	<li><code>manual</code></li>
</ul>

<p>If not specified when the request is created, it takes the default value of <code>follow</code>.</p>

<h2 id="Example">Example</h2>

<p>In the following snippet, we create a new request using the {{domxref("Request.Request()")}} constructor (for an image file in the same directory as the script), then save the request <code>redirect</code> value in a variable:</p>

<pre class="brush: js">var myRequest = new Request('flowers.jpg');
var myCred = myRequest.redirect;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Fetch','#dom-request-redirect','redirect')}}</td>
			<td>{{Spec2('Fetch')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Request.redirect")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
	<li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
	<li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
